Package commoble.morered.plate_blocks

# Class LatchBlock

java.lang.Object
net.minecraft.world.level.block.state.BlockBehaviour
net.minecraft.world.level.block.Block
commoble.morered.plate_blocks.PlateBlock
commoble.morered.plate_blocks.RedstonePlateBlock
commoble.morered.plate_blocks.LatchBlock

All Implemented Interfaces:
  `net.minecraft.world.level.ItemLike`, `net.minecraftforge.common.extensions.IForgeBlock`

public class LatchBlock extends RedstonePlateBlock

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.Block

`net.minecraft.world.level.block.Block.BlockStatePairKey`

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`net.minecraft.world.level.block.state.BlockBehaviour.BlockStateBase, net.minecraft.world.level.block.state.BlockBehaviour.OffsetType, net.minecraft.world.level.block.state.BlockBehaviour.Properties, net.minecraft.world.level.block.state.BlockBehaviour.StateArgumentPredicate<A extends Object>, net.minecraft.world.level.block.state.BlockBehaviour.StatePredicate`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.world.level.block.state.properties.DirectionProperty`
`ATTACHMENT_DIRECTION`
`static final net.minecraft.world.level.block.state.properties.BooleanProperty`
`INPUT_A`
`static final net.minecraft.world.level.block.state.properties.BooleanProperty`
`INPUT_C`
`static final InputSide[]`
`INPUT_SIDES`
`static final int`
`OUTPUT_STRENGTH`
`static final net.minecraft.world.level.block.state.properties.BooleanProperty`
`POWERED`
`static final net.minecraft.world.level.block.state.properties.IntegerProperty`
`ROTATION`
`static final int`
`TICK_DELAY`

### Fields inherited from class commoble.morered.plate_blocks.PlateBlock

`SHAPES_BY_DIRECTION`

### Fields inherited from class net.minecraft.world.level.block.Block

`BLOCK_STATE_REGISTRY, INDESTRUCTIBLE, INSTANT, stateDefinition, UPDATE_ALL, UPDATE_ALL_IMMEDIATE, UPDATE_CLIENTS, UPDATE_IMMEDIATE, UPDATE_INVISIBLE, UPDATE_KNOWN_SHAPE, UPDATE_LIMIT, UPDATE_MOVE_BY_PISTON, UPDATE_NEIGHBORS, UPDATE_NONE, UPDATE_SUPPRESS_DROPS, UPDATE_SUPPRESS_LIGHT`

### Fields inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`drops, dynamicShape, explosionResistance, friction, hasCollision, isRandomlyTicking, jumpFactor, material, properties, soundType, speedFactor, UPDATE_SHAPE_ORDER`

## Constructor Summary

Constructors
Constructor
Description
`LatchBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConnectRedstone(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos pos, net.minecraft.core.Direction side)`
`protected void`
`createBlockStateDefinition(net.minecraft.world.level.block.state.StateDefinition.Builder<net.minecraft.world.level.block.Block,net.minecraft.world.level.block.state.BlockState> builder)`
`InputSide[]`
`getInputSides()`
`int`
`getSignal(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockGetter blockAccess, net.minecraft.core.BlockPos pos, net.minecraft.core.Direction sideOfAdjacentBlock)`
Deprecated.
`net.minecraft.world.level.block.state.BlockState`
`getStateForPlacement(net.minecraft.world.item.context.BlockPlaceContext context)`
`void`
`notifyNeighbors(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`void`
`tick(net.minecraft.world.level.block.state.BlockState oldBlockState, net.minecraft.server.level.ServerLevel level, net.minecraft.core.BlockPos pos, net.minecraft.util.RandomSource rand)`

### Methods inherited from class commoble.morered.plate_blocks.RedstonePlateBlock

`getDirectSignal, hasInputPower, isSignalSource, neighborChanged, onPlace, onRemove, setPlacedBy, use`

### Methods inherited from class commoble.morered.plate_blocks.PlateBlock

`getShape, mirror, rotate`

### Methods inherited from class net.minecraft.world.level.block.Block

`animateTick, appendHoverText, asBlock, asItem, box, builtInRegistryHolder, byItem, canSupportCenter, canSupportRigidBlock, canSustainPlant, defaultBlockState, destroy, dropFromExplosion, dropResources, dropResources, dropResources, dropResources, fallOn, fillItemCategory, getCloneItemStack, getDescriptionId, getDrops, getDrops, getExplosionResistance, getFriction, getId, getJumpFactor, getName, getRenderPropertiesInternal, getShapeForEachState, getSoundType, getSpeedFactor, getStateDefinition, handlePrecipitation, hasDynamicShape, initializeClient, isExceptionForConnection, isFaceFull, isPossibleToRespawnInThis, isRandomlyTicking, isShapeFullBlock, playerDestroy, playerWillDestroy, popExperience, popResource, popResourceFromFace, propagatesSkylightDown, pushEntitiesUp, registerDefaultState, shouldRenderFace, spawnDestroyParticles, stateById, stepOn, toString, tryDropExperience, updateEntityAfterFallOn, updateFromNeighbourShapes, updateOrDestroy, updateOrDestroy, wasExploded, withPropertiesOf`

### Methods inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`attack, canBeReplaced, canBeReplaced, canSurvive, defaultDestroyTime, defaultMaterialColor, entityInside, getAnalogOutputSignal, getBlockSupportShape, getCollisionShape, getDestroyProgress, getDrops, getFluidState, getInteractionShape, getLightBlock, getLootTable, getMaxHorizontalOffset, getMaxVerticalOffset, getMenuProvider, getOcclusionShape, getPistonPushReaction, getRenderShape, getSeed, getShadeBrightness, getVisualShape, hasAnalogOutputSignal, isAir, isCollisionShapeFullBlock, isOcclusionShapeFullBlock, isPathfindable, onProjectileHit, randomTick, skipRendering, spawnAfterBreak, triggerEvent, updateIndirectNeighbourShapes, updateShape, useShapeForLightOcclusion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraftforge.common.extensions.IForgeBlock

`addLandingEffects, addRunningEffects, canBeHydrated, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canStickTo, collisionExtendsVertically, getAdjacentBlockPathType, getAppearance, getBeaconColorMultiplier, getBedDirection, getBlockPathType, getCloneItemStack, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getFireSpreadSpeed, getFlammability, getFriction, getLightEmission, getMapColor, getRespawnPosition, getSoundType, getStateAtViewpoint, getToolModifiedState, getWeakChanges, hidesNeighborFace, isBed, isBurning, isConduitFrame, isFertile, isFireSource, isFlammable, isLadder, isPortalFrame, isScaffolding, isSlimeBlock, isStickyBlock, isValidSpawn, makesOpenTrapdoorAboveClimbable, onBlockExploded, onBlockStateChange, onCaughtFire, onDestroyedByPlayer, onNeighborChange, onTreeGrow, rotate, setBedOccupied, shouldCheckWeakPower, shouldDisplayFluidOverlay, supportsExternalFaceHiding`

## Field Details

### ATTACHMENT_DIRECTION

public static final net.minecraft.world.level.block.state.properties.DirectionProperty ATTACHMENT_DIRECTION

### ROTATION

public static final net.minecraft.world.level.block.state.properties.IntegerProperty ROTATION

### INPUT_A

public static final net.minecraft.world.level.block.state.properties.BooleanProperty INPUT_A

### INPUT_C

public static final net.minecraft.world.level.block.state.properties.BooleanProperty INPUT_C

### POWERED

public static final net.minecraft.world.level.block.state.properties.BooleanProperty POWERED

### INPUT_SIDES

public static final InputSide[] INPUT_SIDES

### OUTPUT_STRENGTH

public static final int OUTPUT_STRENGTH

See Also:
  - Constant Field Values

### TICK_DELAY

public static final int TICK_DELAY

See Also:
  - Constant Field Values

## Constructor Details

### LatchBlock

public LatchBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties)

## Method Details

### createBlockStateDefinition

protected void createBlockStateDefinition(net.minecraft.world.level.block.state.StateDefinition.Builder<net.minecraft.world.level.block.Block,net.minecraft.world.level.block.state.BlockState> builder)

Overrides:
  `createBlockStateDefinition` in class `PlateBlock`

### getStateForPlacement

@Nullable public net.minecraft.world.level.block.state.BlockState getStateForPlacement(net.minecraft.world.item.context.BlockPlaceContext context)

Overrides:
  `getStateForPlacement` in class `RedstonePlateBlock`

### getSignal

@Deprecated public int getSignal(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockGetter blockAccess, net.minecraft.core.BlockPos pos, net.minecraft.core.Direction sideOfAdjacentBlock)
Deprecated.

Overrides:
  `getSignal` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### tick

public void tick(net.minecraft.world.level.block.state.BlockState oldBlockState, net.minecraft.server.level.ServerLevel level, net.minecraft.core.BlockPos pos, net.minecraft.util.RandomSource rand)

Overrides:
  `tick` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### getInputSides

public InputSide[] getInputSides()

Specified by:
  `getInputSides` in class `RedstonePlateBlock`

### canConnectRedstone

public boolean canConnectRedstone(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos pos, net.minecraft.core.Direction side)

Specified by:
  `canConnectRedstone` in interface `net.minecraftforge.common.extensions.IForgeBlock`
Overrides:
  `canConnectRedstone` in class `RedstonePlateBlock`

### notifyNeighbors

public void notifyNeighbors(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

Specified by:
  `notifyNeighbors` in class `RedstonePlateBlock`